Enable or disable a matter subscription for the authenticated device
POST
/api/v1/sync/subscriptionsAuthorization
AuthorizationBearer token · headerrequiredScoped API token (bnx_…). Required scopes are noted per operation.
Request body
application/jsonmatterIdstringrequiredmin length 1
enabledbooleanrequiredResponses
200
Subscription state and selected contract version
contractVersionstringrequiredAllowed:
v1matterIdstringrequiredenabledbooleanrequired400
Invalid request
errorstringrequiredcodestringrequiredrulestring401
Unauthenticated
errorstringrequiredcodestringrequiredrulestring403
Forbidden (missing scope or permission)
errorstringrequiredcodestringrequiredrulestring429
Rate limited
errorstringrequiredcodestringrequiredrulestring